> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Auto-Response Settings



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/messaging/profiles.yml get /messaging_profiles/{profile_id}/autoresp_configs
openapi: 3.1.0
info:
  title: Telnyx Messaging Profiles API
  version: 2.0.0
  description: API for messaging profiles and auto-response configurations.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /messaging_profiles/{profile_id}/autoresp_configs:
    get:
      tags:
        - Opt-Out Management
      summary: List Auto-Response Settings
      operationId: GetAutorespConfigs
      parameters:
        - required: true
          schema:
            title: Profile Id
            type: string
            format: uuid
          name: profile_id
          in: path
        - required: false
          schema:
            title: Country Code
            type: string
          name: country_code
          in: query
        - name: created_at
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated created_at parameter (deepObject style). Originally:
            created_at[gte], created_at[lte]
          schema:
            type: object
            properties:
              gte:
                title: Created At[Gte]
                type: string
              lte:
                title: Created At[Lte]
                type: string
        - name: updated_at
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated updated_at parameter (deepObject style). Originally:
            updated_at[gte], updated_at[lte]
          schema:
            type: object
            properties:
              gte:
                title: Updated At[Gte]
                type: string
              lte:
                title: Updated At[Lte]
                type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AutorespConfigsResponseSchema'
              example:
                data:
                  - op: start
                    keywords:
                      - START
                      - BEGIN
                    resp_text: Thank you for subscribing US customer.
                    country_code: US
                    id: 677ec1cb-949e-4aeb-a1c3-6d9ddffc1409
                    created_at: '2023-03-21T23:37:45.858535+00:00'
                    updated_at: '2023-03-21T23:37:45.858535+00:00'
                  - op: stop
                    keywords:
                      - END
                      - STOP
                    resp_text: You have unsubscribed.
                    country_code: US
                    id: 54b7e19f-98a8-416f-81d1-a2782eade48b
                    created_at: '2023-03-10T21:54:46.293380+00:00'
                    updated_at: '2023-03-10T21:54:46.293380+00:00'
                  - op: start
                    keywords:
                      - START
                    resp_text: Thank you for subscribing.
                    country_code: '*'
                    id: cfe07be1-2369-433f-be00-eb176008e834
                    created_at: '2023-03-14T14:46:21.097735+00:00'
                    updated_at: '2023-03-14T14:46:21.097735+00:00'
                meta:
                  page_number: 1
                  page_size: 5
                  total_pages: 1
                  total_results: 3
        4XX:
          $ref: '#/components/responses/messaging_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const autorespConfigs = await
            client.messagingProfiles.autorespConfigs.list(
              '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
            );


            console.log(autorespConfigs.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            autoresp_configs = client.messaging_profiles.autoresp_configs.list(
                profile_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(autoresp_configs.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tautorespConfigs, err := client.MessagingProfiles.AutorespConfigs.List(\n\t\tcontext.TODO(),\n\t\t\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\ttelnyx.MessagingProfileAutorespConfigListParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", autorespConfigs.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.messagingprofiles.autorespconfigs.AutorespConfigListParams;

            import
            com.telnyx.sdk.models.messagingprofiles.autorespconfigs.AutorespConfigListResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    AutorespConfigListResponse autorespConfigs = client.messagingProfiles().autorespConfigs().list("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            autoresp_configs =
            telnyx.messaging_profiles.autoresp_configs.list("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")


            puts(autoresp_configs)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $autorespConfigs = $client->messagingProfiles->autorespConfigs->list(
                '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
                countryCode: 'country_code',
                createdAt: ['gte' => 'gte', 'lte' => 'lte'],
                updatedAt: ['gte' => 'gte', 'lte' => 'lte'],
              );

              var_dump($autorespConfigs);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx messaging-profiles:autoresp-configs list \
              --api-key 'My API Key' \
              --profile-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  schemas:
    AutorespConfigsResponseSchema:
      title: AutorespConfigsResponseSchema
      description: List of Auto-Response Settings
      required:
        - data
        - meta
      type: object
      properties:
        data:
          title: Data
          type: array
          items:
            $ref: '#/components/schemas/AutorespConfigSchema'
        meta:
          $ref: '#/components/schemas/messaging_PaginationMeta'
    AutorespConfigSchema:
      title: AutorespConfigSchema
      required:
        - op
        - keywords
        - country_code
        - id
        - created_at
        - updated_at
      type: object
      properties:
        op:
          title: Op
          enum:
            - start
            - stop
            - info
          type: string
          example: start
        keywords:
          title: Keywords
          type: array
          items:
            type: string
          example:
            - START
            - BEGIN
        resp_text:
          title: Resp Text
          type: string
          example: Thank you for subscribing to our service.
        country_code:
          title: Country Code
          type: string
          example: '*'
        id:
          title: Id
          type: string
          example: b8f9c1c0-5b5a-4b1e-8c1c-0b5a4b1e8c1c
        created_at:
          title: Created At
          type: string
          format: date-time
        updated_at:
          title: Updated At
          type: string
          format: date-time
    messaging_PaginationMeta:
      type: object
      required:
        - total_pages
        - total_results
        - page_size
        - page_number
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    messaging_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/messaging_Error'
    messaging_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
          x-format: integer
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              format: json-pointer
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
  responses:
    messaging_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/messaging_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````